Summary:	Net-Netmask module for Perl
Name:		perl-Net-Netmask
Version:	1.9002
Release:	1mdk
License:	Distributable
Group:		Development/Perl
Source:		http://www.cpan.org/authors/id/M/MU/MUIR/modules/Net-Netmask-%{version}.tar.bz2
URL:		http://search.cpan.org/search?dist=Net-Netmask
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	perl >= 5.00503

%description
Net-Netmask module for perl

Net::Netmask parses and understands IPv4 CIDR blocks. It's built with an
object-oriented interface. Nearly all functions are methods that operate on a
Net::Netmask object.

There are methods that provide the nearly all bits of information about a
network block that you might want.

%prep
%setup -q -n Net-Netmask-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL
%make
%make test

%clean 
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT%{_prefix} install

%files
%defattr(-,root,root)
%dir %{_libdir}/perl5/site_perl/*/*/auto/Net/Netmask
%{_libdir}/perl5/site_perl/*/Net/Netmask.p*
%doc %{_libdir}/perl5/man/*/Net::Netmask.3*

%changelog
* Fri Mar  1 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 1.9002-1mdk
- First Mandrake release

